# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Catalyst/Model.pm) perl(ExtUtils/MakeMaker.pm) perl(Moose.pm) perl(Net/Stripe.pm) perl(Test/More.pm) perl(Throwable.pm)
# END SourceDeps(oneline)
%define module_version 0.05
%define module_name Catalyst-Model-Net-Stripe
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Stripe Model for Catalyst
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SR/SRCHULO/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
# Use the helper to add a Stripe model to your application
    script/myapp_create.pl model Stripe Net::Stripe

    package YourApp::Model::Stripe;
    use parent 'Catalyst::Model::Net::Stripe';
        __PACKAGE->config(
            api_key => 'API_KEY_HERE',
        );
    1;
    
    package YourApp::Controller::Foo;

    sub index : Path('/') {
        my ($self, $c) = @_;
    
        my $card = Net::Stripe::Card->new(
            number => '4242424242424242',
            cvc => '499',
            name => 'Bob Jones',
            address_line1 => '2222 Palm Street',
            address_line2 => 'Apt. 603',
            address_zip => '78705',
            address_state => 'TX',
            exp_month => '02',
            exp_year=> '15',
        );

        my $customer = $c->model('Net::Stripe')->post_customer(
          card => $card,
          email => 'stripe@example.com',
          description => 'Test for Net::Stripe',
        );

        $c->res->body($customer->id);
    }
 
    1;


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/C*

%changelog
* Tue May 13 2014 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

